url: "http://localhost:3000"
domain: "foo.org"
log_level: 2

keys:
  cookie_store_key: "something-very-secret"
  jwt_signing_key: "secret"
  
orm:
  connection: "karmen:karmen@tcp(localhost:3307)/karmen_dev"
  options: "charset=utf8&parseTime=True&loc=Local"
  automigrate: true
  regenerate: false

ldap:
  host: "ldap_server:389"
  admin_cn: "admin"
  admin_password: "admin"
  people_dn: "ou=People"
  teachers_dn: "ou=People"
  groups_dn: "ou=Groups"
  maildir_base_parh: "/var/mail/foo.org"
  mail_quota: "10240"
  first_uid_number: "5000"
  mail_gid_number: "5000"

admin:
  username: "admin"
  password: "admin"

sync:
  safe_run: false
  verbose: true
  send_mail: false
  schedule: "@every 10m"
  teachers_search_base: "ou=Teachers,ou=People,dc=foo,dc=org"
  administratives_search_base: "ou=Administratives,ou=People,dc=foo,dc=org"
  teachers_group: "cn=Teachers"
  administratives_group: "cn=Administratives"
  teachers_ml: "cn=Teachers,ou=Mailing Lists"
  departments_coordinators_group: "cn=Coordinatori Dipartimenti"
  departments_coordinators_ml: "cn=Coordinatori Dipartimenti,ou=Mailing Lists"

cloud:
  username: admin
  password: password
  url: "http://nextcloud_server/remote.php/webdav/"
  
documents:
  output_path: "output"